Subject: Re: [PATCH net-next] net: phy: check return code when requesting PHY driver module

From: Andrew Lunn <[email-masked]>
Date: Tue, 15 Jan 2019 23:40:12 +0100

> I explicitly check for ret < 0. If there's no PHY driver module for
> a specific PHY ID then the return code would be > 0.
> My understanding of request_module() is that a return code < 0
> is returned if something bad happens in modprobe() call as such.

Ah, O.K. I was expecting an ENODEV or similar if there was no module
to load.

I wonder if this depends on the user space implementation? busybox
might do something different to udev?

Maybe add a comment about the expectation that no error is given when
the module does not exist.

    Andrew